#include "LedControl.h"
#define C4  262
#define D4  294
#define E4  330
#define F4  349
#define FS4 370
#define G4  392
#define A4  440
#define B4  494
#define C5  523
#define D5  587
int melody[] = {D4,D4,E4,D4,G4,FS4,D4,D4,E4,D4,A4,G4,D4,D4,D5, 
  B4,G4,FS4,E4,C5,C5,B4,G4,A4,G4};
float beats[] ={0.5,0.5,1,1,1,2,0.5,0.5,1,1,1,2,0.5,0.5,1,1,
  1,1,1,0.5,0.5,1,1,1,2};
int buzzerpin = 11;
int timestop = 70;
LedControl lc=LedControl(8,10,9,1); 
// Pin 8->DIN, 10->CLK, 9->CS(LOAD), 1 = No.of devices
void setup() 
{
  lc.shutdown(0,false);  
  lc.setIntensity(0,5); 
  lc.clearDisplay(0);
  int dl = 400;
  pinMode(buzzerpin,OUTPUT);
  lc.setChar(0,7,'H',false);
  lc.setChar(0,6,'b',false);
  lc.setChar(0,5,'d',false);
  int numnote;
  numnote = sizeof(melody)/2;  
  for (int i=0;i<numnote;i++) 
  {
    tone(buzzerpin, melody[i],dl*beats[i]);
    delay(dl*beats[i]);
    digitalWrite(buzzerpin,HIGH);
    delay(timestop);
  }
}
void loop() 
{}



